Bug 1022409 - AS7 plugin: "Hibernate Persistence Unit" service does not show up
AS7 plugin: "Hibernate Persistence Unit" service does not show up
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.9
Unspecified Unspecified
high Severity medium (vote)
: ---
: RHQ 4.10
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks: 1023057
  Show dependency treegraph
 
Reported: 2013-10-23 04:46 EDT by Thomas Segismont
Modified: 2014-04-23 08:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1023057 (view as bug list)
Environment:
Last Closed: 2014-04-23 08:29:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Segismont 2013-10-23 04:46:54 EDT
Description of problem:
"Hibernate Persistence Unit" service does not show up in inventory (thus its children neither), even if an application with an Hibernate persistence unit is deployed

Version-Release number of selected component (if applicable):
4.9

How reproducible:
Always

Steps to Reproduce:
1. Deploy an application with an Hibernate persistence unit to an AS7 / EAP6 managed server
2. When the application is discovered, navigate to its "JPA Runtime" child service

Actual results:
No child service under "JPA Runtime" service

Expected results:
"Hibernate Persistence Unit" service shows up
Comment 1 Thomas Segismont 2013-10-24 05:12:48 EDT
Fixed in master

commit ec97c8c7e65ba71b7f8b47fce8c799f2586aa513
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Thu Oct 24 11:09:36 2013 +0200

Bug due to a typo in the plugin descriptor ('persistance' instead of 'persistence')
    
Added Sample JavaEE6 application
Added integration test for deployment "*Runtime" child resources
Comment 2 Heiko W. Rupp 2014-04-23 08:29:27 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.